<template>
    <div>
        <h1>List All Shapes</h1>

        <p>The all shapes that we have</p>
        <ul>
            <li><a href="http://localhost:80/swagger/index.html">Check Swagger ([YourAddress]/swagger/index.html)</a> For Create, Update, and Delete Shapes</li>
        </ul>
        <table v-if="shapes.length" class="table">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Base1</th>
                    <th>Height</th>
                    <th>Radian</th>
                    <th>Category ID</th>
                    <th>A Axis</th>
                    <th>B Axis</th>
                    <th>Base2</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="item in shapes">
                    <td>{{ item.name }}</td>
                    <td>{{ item.base }}</td>
                    <td>{{ item.height }}</td>
                    <td>{{ item.r }}</td>
                    <td>{{ item.category }}</td>
                    <td>{{ item.aaxis }}</td>
                    <td>{{ item.baxis }}</td>
                    <td>{{ item.base2 }}</td>
                </tr>
            </tbody>
        </table>

        <p v-else><em>Loading...</em></p>
    </div>
</template>

<script src="./fetchdata.ts"></script>
